Skip to main content
GET
List Monitor Results

Authorizations

Authorization
string
header
required

Bearer token

Headers

X-Account-ID
string<uuid>
required

Account ID

Path Parameters

kind
enum<string>
required

Monitor kind. Only expiry is currently supported.

Available options:
expiry

Query Parameters

q
string

Case-insensitive literal substring search across asset and organization names.

Maximum string length: 256
monitor_id
string<uuid>

Restrict results to a single monitor

asset_type
string

Comma-separated asset type names to restrict results to

organization_id
string

Comma-separated organization IDs to restrict results to

status
string

Comma-separated status values to restrict results to

order
enum<string>
default:ASC

Sort direction for the monitored value

Available options:
ASC,
DESC,
asc,
desc
limit
number
default:100
Required range: 1 <= x <= 1000
offset
number
default:0
Required range: x >= 0

Response

Default Response

items
object[]
required
total
number
required

Total number of items available

limit
number
required

Number of items returned

offset
number
required

Number of items skipped